MultiKeyPasswordKeyManager (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.configuration.jsse, class: MultiKeyPasswordKeyManager

Package org.apache.cxf.configuration.jsse

# Class MultiKeyPasswordKeyManager

java.lang.Object
org.apache.cxf.configuration.jsse.MultiKeyPasswordKeyManager

All Implemented Interfaces:
  `KeyManager`, `X509KeyManager`

public class MultiKeyPasswordKeyManager extends Object implements X509KeyManager

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiKeyPasswordKeyManager(KeyStore keystore, String keyAlias, String keyPassword)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `chooseClientAlias(String[] keyType, Principal[] issuers, Socket socket)`
  `String`
  `chooseServerAlias(String keyType, Principal[] issuers, Socket socket)`
  `X509Certificate[]`
  `getCertificateChain(String alias)`
  `String[]`
  `getClientAliases(String keyType, Principal[] issuers)`
  `PrivateKey`
  `getPrivateKey(String alias)`
  `String[]`
  `getServerAliases(String keyType, Principal[] issuers)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiKeyPasswordKeyManager

    public MultiKeyPasswordKeyManager(KeyStore keystore, String keyAlias, String keyPassword)

- ## Method Details

  - ### getClientAliases

    public String[] getClientAliases(String keyType, Principal[] issuers)
    Specified by:
      `getClientAliases` in interface `X509KeyManager`

  - ### getServerAliases

    public String[] getServerAliases(String keyType, Principal[] issuers)
    Specified by:
      `getServerAliases` in interface `X509KeyManager`

  - ### getCertificateChain

    public X509Certificate[] getCertificateChain(String alias)
    Specified by:
      `getCertificateChain` in interface `X509KeyManager`

  - ### getPrivateKey

    public PrivateKey getPrivateKey(String alias)
    Specified by:
      `getPrivateKey` in interface `X509KeyManager`

  - ### chooseClientAlias

    public String chooseClientAlias(String[] keyType, Principal[] issuers, Socket socket)
    Specified by:
      `chooseClientAlias` in interface `X509KeyManager`

  - ### chooseServerAlias

    public String chooseServerAlias(String keyType, Principal[] issuers, Socket socket)
    Specified by:
      `chooseServerAlias` in interface `X509KeyManager`